Index: contrib/asdf/asdf.texinfo
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/asdf/asdf.texinfo,v
retrieving revision 1.2
diff -u -r1.2 asdf.texinfo
--- contrib/asdf/asdf.texinfo	18 Aug 2004 12:58:41 -0000	1.2
+++ contrib/asdf/asdf.texinfo	21 Jun 2010 23:08:56 -0000
@@ -1022,19 +3087,25 @@
 
 ** style guide for .asd files
 
-You should either use keywords or be careful with the package that you
-evaluate defsystem forms in.  Otherwise (defsystem partition ...)
-being read in the cl-user package will intern a cl-user:partition
-symbol, which will then collide with the partition:partition symbol.
+You should either use keywords or be careful
+with the package that you evaluate defsystem forms in.
+Otherwise @code{(defsystem partition ...)}
+being read in the @code{cl-user} package
+will intern a @code{cl-user:partition} symbol,
+which will then collide with the @code{partition:partition} symbol.
 
 Actually there's a hairier packages problem to think about too.
-in-order-to is not a keyword: if you read defsystem forms in a package
-that doesn't use ASDF, odd things might happen
+@code{in-order-to} is not a keyword:
+if you read @code{defsystem} forms in a package that doesn't use ASDF,
+odd things might happen.
+
 
 ** extending defsystem with new options
 
-You might not want to write a whole parser, but just to add options to
-the existing syntax.  Reinstate parse-option or something akin
+You might not want to write a whole parser,
+but just to add options to the existing syntax.
+Reinstate @code{parse-option} or something akin.
+
 
 ** document all the error classes
 
@@ -1057,110 +3128,95 @@
           'explain)
 @end lisp
 
-This uses unexported symbols.  What would be a nice interface for this
-functionality?
-
-@node  missing bits in implementation, Inspiration, TODO list, Top
-@comment  node-name,  next,  previous,  up
-@chapter missing bits in implementation
+This uses unexported symbols.
+What would be a nice interface for this functionality?
 
-** all of the above
+@section Missing bits in implementation
 
 ** reuse the same scratch package whenever a system is reloaded from disk
 
-** rules for system pathname defaulting are not yet implemented properly
-
 ** proclamations probably aren't
 
-** when a system is reloaded with fewer components than it previously
-   had, odd things happen
-
-we should do something inventive when processing a defsystem form,
-like take the list of kids and setf the slot to nil, then transfer
-children from old to new list as they're found
-
-**  traverse may become a normal function
-
-If you're defining methods on traverse,  speak up.
-
-
-** a lot of load-op methods can be rewritten to use input-files
-
-so should be.
+** when a system is reloaded with fewer components than it previously had, odd things happen
 
+We should do something inventive when processing a @code{defsystem} form,
+like take the list of kids and @code{setf} the slot to @code{nil},
+then transfer children from old to new list as they're found.
 
 ** (stuff that might happen later)
 
-*** david lichteblau's patch for symlink resolution?
+*** Propagation of the @code{:force} option.
 
-*** Propagation of the :force option.  ``I notice that
+``I notice that
 
-	(oos 'compile-op :araneida :force t)
+        @code{(asdf:compile-system :araneida :force t)}
 
-also forces compilation of every other system the :araneida system
-depends on.  This is rarely useful to me; usually, when I want to force
-recompilation of something more than a single source file, I want to
-recompile only one system.  So it would be more useful to have
-make-sub-operation refuse to propagate @code{:force t} to other systems, and
+also forces compilation of every other system the @code{:araneida} system depends on.
+This is rarely useful to me;
+usually, when I want to force recompilation of something more than a single source file,
+I want to recompile only one system.
+So it would be more useful to have @code{make-sub-operation}
+refuse to propagate @code{:force t} to other systems, and
 propagate only something like @code{:force :recursively}.
 
-Ideally what we actually want is some kind of criterion that says to
-which systems (and which operations) a @code{:force} switch will
-propagate.
-
-The problem is perhaps that `force' is a pretty meaningless concept.
-How obvious is it that @code{load :force t} should force
-@emph{compilation}?  But we don't really have the right dependency
-setup for the user to compile @code{:force t} and expect it to work
+Ideally what we actually want is some kind of criterion that says
+to which systems (and which operations) a @code{:force} switch will propagate.
+
+The problem is perhaps that ``force'' is a pretty meaningless concept.
+How obvious is it that @code{load :force t} should force @emph{compilation}?
+But we don't really have the right dependency setup
+for the user to compile @code{:force t} and expect it to work
 (files will not be loaded after compilation, so the compile
 environment for subsequent files will be emptier than it needs to be)
 
-What does the user actually want to do when he forces?  Usually, for
-me, update for use with a new version of the lisp compiler.  Perhaps
-for recovery when he suspects that something has gone wrong.  Or else
-when he's changed compilation options or configuration in some way
-that's not reflected in the dependency graph.
+What does the user actually want to do when he forces?
+Usually, for me, update for use with a new version of the Lisp compiler.
+Perhaps for recovery when he suspects that something has gone wrong.
+Or else when he's changed compilation options or configuration
+in some way that's not reflected in the dependency graph.
 
-Other possible interface: have a 'revert' function akin to 'make clean'
+Other possible interface: have a ``revert'' function akin to @code{make clean}.
 
 @lisp
-(asdf:revert 'asdf:compile-op 'araneida) 
+(asdf:revert 'asdf:compile-op 'araneida)
 @end lisp
 
-would delete any files produced by 'compile-op 'araneida.  Of course, it
-wouldn't be able to do much about stuff in the image itself.
+would delete any files produced by @code{(compile-system :araneida)}.
+Of course, it wouldn't be able to do much about stuff in the image itself.
 
 How would this work?
 
-traverse
+@code{traverse}
 
-There's a difference between a module's dependencies (peers) and its
-components (children).  Perhaps there's a similar difference in
-operations?  For example, @code{(load "use") depends-on (load "macros")} is a
-peer, whereas @code{(load "use") depends-on (compile "use")} is more of a
-`subservient' relationship.
+There's a difference between a module's dependencies (peers)
+and its components (children).
+Perhaps there's a similar difference in operations?
+For example, @code{(load "use") depends-on (load "macros")} is a peer,
+whereas @code{(load "use") depends-on (compile "use")}
+is more of a ``subservient'' relationship.
 
-@node  Inspiration, Concept Index, missing bits in implementation, Top
+@node  Inspiration, Concept Index, TODO list, Top
 @comment  node-name,  next,  previous,  up
 @chapter Inspiration
 
 @section mk-defsystem (defsystem-3.x)
 
-We aim to solve basically the same problems as mk-defsystem does.
-However, our architecture for extensibility better exploits CL
-language features (and is documented), and we intend to be portable
-rather than just widely-ported.  No slight on the mk-defsystem authors
-and maintainers is intended here; that implementation has the
-unenviable task of supporting pre-ANSI implementations, which is 
-no longer necessary.
+We aim to solve basically the same problems as @code{mk-defsystem} does.
+However, our architecture for extensibility
+better exploits CL language features (and is documented),
+and we intend to be portable rather than just widely-ported.
+No slight on the @code{mk-defsystem} authors and maintainers is intended here;
+that implementation has the unenviable task
+of supporting pre-ANSI implementations, which is no longer necessary.
 
 The surface defsystem syntax of asdf is more-or-less compatible with
-mk-defsystem, except that we do not support the @code{source-foo} and
-@code{binary-foo} prefixes for separating source and binary files, and 
+@code{mk-defsystem}, except that we do not support
+the @code{source-foo} and @code{binary-foo} prefixes
+for separating source and binary files, and
 we advise the removal of all options to specify pathnames.
 
-The mk-defsystem code for topologically sorting a module's dependency
-list was very useful.
+The @code{mk-defsystem} code for topologically sorting
+a module's dependency list was very useful.
 
 @section defsystem-4 proposal
 
@@ -1169,20 +3225,20 @@
 
 @itemize
 @item
-We don't specify output files or output file extensions as part of the
-system.  
+We don't specify output files or output file extensions
+as part of the system.
 
-If you want to find out what files an operation would create, ask the
-operation.
+If you want to find out what files an operation would create,
+ask the operation.
 
 @item
 We don't deal with CL packages
 
-If you want to compile in a particular package, use an in-package form
+If you want to compile in a particular package, use an @code{in-package} form
 in that file (ilisp / SLIME will like you more if you do this anyway)
 
 @item
-There is no proposal here that defsystem does version control.  
+There is no proposal here that @code{defsystem} does version control.
 
 A system has a given version which can be used to check dependencies,
 but that's all.
@@ -1193,12 +3249,13 @@
 
 @section kmp's ``The Description of Large Systems'', MIT AI Memu 801
 
-Available in updated-for-CL form on the web at 
-@url{http://world.std.com/~pitman/Papers/Large-Systems.html}
+Available in updated-for-CL form on the web at
+@url{http://nhplace.com/kent/Papers/Large-Systems.html}
 
-In our implementation we borrow kmp's overall PROCESS-OPTIONS and
-concept to deal with creating component trees from defsystem surface
-syntax.  [ this is not true right now, though it used to be and
+In our implementation we borrow kmp's overall @code{PROCESS-OPTIONS}
+and concept to deal with creating component trees
+from @code{defsystem} surface syntax.
+[ this is not true right now, though it used to be and
 probably will be again soon ]
 
 
@@ -1207,21 +3264,17 @@
 
 @node Concept Index, Function and Class Index, Inspiration, Top
 @unnumbered Concept Index
-     
+
 @printindex cp
 
 @node Function and Class Index, Variable Index, Concept Index, Top
 @unnumbered Function and Class Index
-     
+
 @printindex fn
 
 @node Variable Index,  , Function and Class Index, Top
 @unnumbered Variable Index
-     
-@printindex vr
-
-
 
+@printindex vr
 
 @bye
-
Index: contrib/asdf-install/asdf-install.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/asdf-install/asdf-install.asd,v
retrieving revision 1.7
diff -u -r1.7 asdf-install.asd
--- contrib/asdf-install/asdf-install.asd	24 Nov 2008 15:56:11 -0000	1.7
+++ contrib/asdf-install/asdf-install.asd	21 Jun 2010 23:08:56 -0000
@@ -9,7 +9,7 @@
   :depends-on (sb-posix sb-bsd-sockets)
   :version "0.2"
   #+sb-building-contrib :pathname
-  #+sb-building-contrib "SYS:CONTRIB;ASDF-INSTALL;"
+  #+sb-building-contrib #p"SYS:CONTRIB;ASDF-INSTALL;"
   :components ((:file "defpackage")
                (:file "installer" :depends-on ("defpackage"))))
 
Index: contrib/sb-aclrepl/sb-aclrepl.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-aclrepl/sb-aclrepl.asd,v
retrieving revision 1.15
diff -u -r1.15 sb-aclrepl.asd
--- contrib/sb-aclrepl/sb-aclrepl.asd	24 Nov 2008 15:56:11 -0000	1.15
+++ contrib/sb-aclrepl/sb-aclrepl.asd	21 Jun 2010 23:08:56 -0000
@@ -7,7 +7,7 @@
     :author "Kevin Rosenberg <kevin@rosenberg.net>"
     :description "An AllegroCL compatible REPL"
     #+sb-building-contrib :pathname
-    #+sb-building-contrib "SYS:CONTRIB;SB-ACLREPL;"
+    #+sb-building-contrib #p"SYS:CONTRIB;SB-ACLREPL;"
     :components ((:file "toplevel")
                  (:file "repl" :depends-on ("toplevel"))
                  (:file "inspect" :depends-on ("repl"))
Index: contrib/sb-bsd-sockets/sb-bsd-sockets.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-bsd-sockets/sb-bsd-sockets.asd,v
retrieving revision 1.31
diff -u -r1.31 sb-bsd-sockets.asd
--- contrib/sb-bsd-sockets/sb-bsd-sockets.asd	24 Nov 2008 15:56:11 -0000	1.31
+++ contrib/sb-bsd-sockets/sb-bsd-sockets.asd	21 Jun 2010 23:08:56 -0000
@@ -8,7 +8,7 @@
     :version "0.58"
     :depends-on (sb-grovel)
     #+sb-building-contrib :pathname
-    #+sb-building-contrib "SYS:CONTRIB;SB-BSD-SOCKETS;"
+    #+sb-building-contrib #p"SYS:CONTRIB;SB-BSD-SOCKETS;"
     :components ((:file "defpackage")
                  (:file "split" :depends-on ("defpackage"))
                  #+win32
Index: contrib/sb-cltl2/sb-cltl2.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-cltl2/sb-cltl2.asd,v
retrieving revision 1.4
diff -u -r1.4 sb-cltl2.asd
--- contrib/sb-cltl2/sb-cltl2.asd	24 Nov 2008 15:56:11 -0000	1.4
+++ contrib/sb-cltl2/sb-cltl2.asd	21 Jun 2010 23:08:56 -0000
@@ -6,7 +6,7 @@
 (defsystem sb-cltl2
     :description "Functionality mentioned in CLtL2 but not present in ANSI."
     #+sb-building-contrib :pathname
-    #+sb-building-contrib "SYS:CONTRIB;SB-CLTL2;"
+    #+sb-building-contrib #p"SYS:CONTRIB;SB-CLTL2;"
     :components ((:file "defpackage")
                  (:file "compiler-let" :depends-on ("defpackage"))
                  (:file "macroexpand" :depends-on ("defpackage"))
Index: contrib/sb-cover/sb-cover.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-cover/sb-cover.asd,v
retrieving revision 1.2
diff -u -r1.2 sb-cover.asd
--- contrib/sb-cover/sb-cover.asd	23 Jan 2008 14:42:36 -0000	1.2
+++ contrib/sb-cover/sb-cover.asd	21 Jun 2010 23:08:56 -0000
@@ -2,7 +2,7 @@
 
 (defsystem sb-cover
     #+sb-building-contrib :pathname
-    #+sb-building-contrib "SYS:CONTRIB;SB-COVER;"
+    #+sb-building-contrib #p"SYS:CONTRIB;SB-COVER;"
     :depends-on (sb-md5)
     :components ((:file "cover")))
 
Index: contrib/sb-grovel/sb-grovel.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-grovel/sb-grovel.asd,v
retrieving revision 1.6
diff -u -r1.6 sb-grovel.asd
--- contrib/sb-grovel/sb-grovel.asd	24 Nov 2008 15:56:11 -0000	1.6
+++ contrib/sb-grovel/sb-grovel.asd	21 Jun 2010 23:08:56 -0000
@@ -6,7 +6,7 @@
 (defsystem sb-grovel
     :version "0.01"
     #+sb-building-contrib :pathname
-    #+sb-building-contrib "SYS:CONTRIB;SB-GROVEL;"
+    #+sb-building-contrib #p"SYS:CONTRIB;SB-GROVEL;"
     :components ((:file "defpackage")
                  (:file "def-to-lisp" :depends-on ("defpackage"))
                  (:file "foreign-glue" :depends-on ("defpackage"))))
Index: contrib/sb-md5/sb-md5.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-md5/sb-md5.asd,v
retrieving revision 1.3
diff -u -r1.3 sb-md5.asd
--- contrib/sb-md5/sb-md5.asd	24 Nov 2008 15:56:11 -0000	1.3
+++ contrib/sb-md5/sb-md5.asd	21 Jun 2010 23:08:56 -0000
@@ -5,11 +5,11 @@
 
 (in-package #:sb-md5-system)
 
-(defsystem sb-md5
-  :depends-on (sb-rotate-byte)
+(defsystem :sb-md5
+  :depends-on (:sb-rotate-byte)
   :version "1.8"
   #+sb-building-contrib :pathname
-  #+sb-building-contrib "SYS:CONTRIB;SB-MD5;"
+  #+sb-building-contrib #p"SYS:CONTRIB;SB-MD5;"
   :components ((:file "md5")))
 
 (defmethod perform :after ((o load-op) (c (eql (find-system :sb-md5))))
@@ -19,8 +19,8 @@
   (operate 'load-op 'sb-md5-tests)
   (operate 'test-op 'sb-md5-tests))
 
-(defsystem sb-md5-tests
-  :depends-on (sb-md5 sb-rt)
+(defsystem :sb-md5-tests
+  :depends-on (:sb-md5 :sb-rt)
   :version "1.8"
   :components ((:file "md5-tests")))
 
Index: contrib/sb-posix/sb-posix.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-posix/sb-posix.asd,v
retrieving revision 1.16
diff -u -r1.16 sb-posix.asd
--- contrib/sb-posix/sb-posix.asd	24 Nov 2008 15:56:11 -0000	1.16
+++ contrib/sb-posix/sb-posix.asd	21 Jun 2010 23:08:56 -0000
@@ -7,7 +7,7 @@
 (defsystem sb-posix
     :depends-on (sb-grovel)
     #+sb-building-contrib :pathname
-    #+sb-building-contrib "SYS:CONTRIB;SB-POSIX;"
+    #+sb-building-contrib #p"SYS:CONTRIB;SB-POSIX;"
     :components ((:file "defpackage")
                  (:file "designator" :depends-on ("defpackage"))
                  (:file "macros" :depends-on ("designator"))
Index: contrib/sb-rotate-byte/sb-rotate-byte.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-rotate-byte/sb-rotate-byte.asd,v
retrieving revision 1.7
diff -u -r1.7 sb-rotate-byte.asd
--- contrib/sb-rotate-byte/sb-rotate-byte.asd	8 Jan 2010 02:21:15 -0000	1.7
+++ contrib/sb-rotate-byte/sb-rotate-byte.asd	21 Jun 2010 23:08:56 -0000
@@ -7,7 +7,7 @@
 (defsystem sb-rotate-byte
   :version "0.1"
   #+sb-building-contrib :pathname
-  #+sb-building-contrib "SYS:CONTRIB;SB-ROTATE-BYTE;"
+  #+sb-building-contrib #p"SYS:CONTRIB;SB-ROTATE-BYTE;"
   :components
   ((:file "package")
    (:file "compiler" :depends-on ("package"))
@@ -21,7 +21,7 @@
              (:file "ppc-vm"
                     :in-order-to ((compile-op (feature :ppc)))))
             :pathname
-            #+sb-building-contrib "SYS:CONTRIB;SB-ROTATE-BYTE;"
+            #+sb-building-contrib #p"SYS:CONTRIB;SB-ROTATE-BYTE;"
             #-sb-building-contrib #.(make-pathname :directory '(:relative))
             :if-component-dep-fails :ignore)
    (:file "rotate-byte" :depends-on ("compiler"))))
Index: contrib/sb-rt/sb-rt.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-rt/sb-rt.asd,v
retrieving revision 1.4
diff -u -r1.4 sb-rt.asd
--- contrib/sb-rt/sb-rt.asd	8 Nov 2003 15:04:48 -0000	1.4
+++ contrib/sb-rt/sb-rt.asd	21 Jun 2010 23:08:56 -0000
@@ -7,7 +7,7 @@
 (defsystem sb-rt
   :version "0.1.7" ; our version "0", GCL CVS version "1.7"
   #+sb-building-contrib :pathname
-  #+sb-building-contrib "SYS:CONTRIB;SB-RT;"
+  #+sb-building-contrib #p"SYS:CONTRIB;SB-RT;"
   :components ((:file "rt")))
 
 (defmethod perform :after ((o load-op) (c (eql (find-system :sb-rt))))
Index: contrib/sb-simple-streams/sb-simple-streams.asd
===================================================================
RCS file: /cvsroot/sbcl/sbcl/contrib/sb-simple-streams/sb-simple-streams.asd,v
retrieving revision 1.6
diff -u -r1.6 sb-simple-streams.asd
--- contrib/sb-simple-streams/sb-simple-streams.asd	16 Mar 2005 10:11:11 -0000	1.6
+++ contrib/sb-simple-streams/sb-simple-streams.asd	21 Jun 2010 23:08:56 -0000
@@ -7,7 +7,7 @@
 (defsystem sb-simple-streams
   :depends-on (sb-bsd-sockets sb-posix)
   #+sb-building-contrib :pathname
-  #+sb-building-contrib "SYS:CONTRIB;SB-SIMPLE-STREAMS;"
+  #+sb-building-contrib #p"SYS:CONTRIB;SB-SIMPLE-STREAMS;"
   :components ((:file "package")
                (:file "fndb")
                (:file "iodefs" :depends-on ("package"))
